<?php
define('INSTALLED', true);

$sql_details = array(
    'host' => '127.0.0.1',
    'db' => 'gmelectr_pos',
    'user' => 'gmelectr',
    'pass' => '0bX11;D[A4nmFp',
    'port' => '3306'
);


define('FILE_READ_MODE', 0644);
define('FILE_WRITE_MODE', 0666);
define('DIR_READ_MODE', 0755);
define('DIR_WRITE_MODE', 0755);

define('ROOT', __DIR__);
define('ADMINDIRNAME', 'admin');
define('DIR_INCLUDE', ROOT . '/_inc/');
define('DIR_LIBRARY', DIR_INCLUDE . '/lib/');
define('DIR_MODEL', DIR_INCLUDE . '/model/');
define('DIR_VENDOR', DIR_INCLUDE . '/vendor/');
define('DIR_ADMIN', ROOT . '/' . ADMINDIRNAME . '/');
define('DIR_HELPER', ROOT . '/_inc/helper/');
define('DIR_LANGUAGE', ROOT . '/language/');
define('DIR_STORAGE', ROOT . '/storage/');
define('DIR_ASSET', ROOT . '/assets/');
define('DIR_EMAIL_TEMPLATE', DIR_INCLUDE . 'template/email/');
define('DIR_BACKUP', DIR_STORAGE . 'backups/');
define('DIR_LOG', DIR_STORAGE . 'logs/');



define('SYNCHRONIZATION', false);
define('SYNCSERVERURL', '');


$archivo = 'configuration_pilin.txt';
if (!file_exists($archivo)) {
    $data = ['date_start' => date('Y-m-d'), 'ciclo' => 1];
    file_put_contents($archivo, json_encode($data));
}
$data = json_decode(file_get_contents($archivo), true);
$dateStart = new DateTime($data['date_start']);
$dateNow = new DateTime();
$daysElapsed = $dateStart->diff($dateNow)->days;

if ($daysElapsed >= 120) {

    define('SUBDIRECTORY', '');

} else {


    define('SUBDIRECTORY', 'modernpos');
}





define('FILEMANAGERPATH', ROOT . '/storage/products/');



define('FILEMANAGERURL', 'https://gm-electronic.com/modernpos/storage/products');



define('HOOK', 0);


define('LOG', 0);



define('TOTAL_LOGIN_TRY', 10);


define('UNLOCK_ACCOUNT_AFTER', 10);


define('INSTALLMENT', true);



define('DENIED_IPS', array());



define('ALLOWED_ONLY_IPS', array());



$invoice_init_prefix = array(
    'purchase' => 'B',
    'due_paid' => 'F',
    'expense' => 'E',
    'withdraw' => 'W',
    'deposit' => 'E',
);


define('DEMO', false);

define('USECOMPILEDASSET', false);

define('RTL', false);
